Package io.vertx.rxjava.ext.auth.jwt.authorization

## Class MicroProfileAuthorization

- java.lang.Object
- - io.vertx.rxjava.ext.auth.jwt.authorization.MicroProfileAuthorization

- All Implemented Interfaces:
    `AuthorizationProvider`

      public class MicroProfileAuthorization
      extends Object
      implements AuthorizationProvider

  Implementation of the Microprofile MP-JWT 1.1 RBAC based on the access token groups key.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<MicroProfileAuthorization>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MicroProfileAuthorization​(MicroProfileAuthorization delegate)` |
    `MicroProfileAuthorization​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MicroProfileAuthorization` | `create()` | Factory method to create a Authorization provider for tokens adhering to the MP-JWT 1.1 spec.
    `boolean` | `equals​(Object o)` |
    `Future<Void>` | `getAuthorizations​(User user)` | Updates the user with the set of authorizations.
    `MicroProfileAuthorization` | `getDelegate()` |
    `String` | `getId()` | returns the id of the authorization provider
    `int` | `hashCode()` |
    `static MicroProfileAuthorization` | `newInstance​(MicroProfileAuthorization arg)` |
    `Single<Void>` | `rxGetAuthorizations​(User user)` | Updates the user with the set of authorizations.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MicroProfileAuthorization> __TYPE_ARG

  - ### Constructor Detail

    - #### MicroProfileAuthorization

          public MicroProfileAuthorization​(MicroProfileAuthorization delegate)

    - #### MicroProfileAuthorization

          public MicroProfileAuthorization​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MicroProfileAuthorization getDelegate()

      Specified by:
        `getDelegate` in interface `AuthorizationProvider`

    - #### getId

          public String getId()

      returns the id of the authorization provider
      Specified by:
        `getId` in interface `AuthorizationProvider`
      Returns:

    - #### getAuthorizations

          public Future<Void> getAuthorizations​(User user)

      Updates the user with the set of authorizations.
      Specified by:
        `getAuthorizations` in interface `AuthorizationProvider`
      Parameters:
        `user` - user to lookup and update.
      Returns:
        Future void to signal end of asynchronous call.

    - #### rxGetAuthorizations

          public Single<Void> rxGetAuthorizations​(User user)

      Updates the user with the set of authorizations.
      Specified by:
        `rxGetAuthorizations` in interface `AuthorizationProvider`
      Parameters:
        `user` - user to lookup and update.
      Returns:
        Future void to signal end of asynchronous call.

    - #### create

          public static MicroProfileAuthorization create()

      Factory method to create a Authorization provider for tokens adhering to the MP-JWT 1.1 spec. When the user is known to not be a JWT, (e.g.: a OAuth2 response token) then the root claim is expected to be extracted from under the key `accessToken`.
      Returns:
        a AuthorizationProvider

    - #### newInstance

          public static MicroProfileAuthorization newInstance​(MicroProfileAuthorization arg)